상품
상품 일부 수정
Authorization
bearer AuthorizationBearer <token>
userToken(계정 스코프) 또는 storeToken(스토어 스코프)
In: header
Path Parameters
productId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name?string
Length
length <= 100salePrice?integer
Multiple Of
10status?string
Value in
- "SALE"
- "SUSPENDED"
- "OUT_OF_STOCK"
- "CLOSED"
deliveryFee?integer
Response Body
application/json
curl -X PATCH "https://example.com/v1/products/string" \ -H "Content-Type: application/json" \ -d '{}'{ "meta": { "status": 200, "code": "OK", "message": "OK", "isSuccess": true }, "data": { "productId": "string", "name": "string", "status": "SALE", "salePrice": 0, "discountedPrice": 0, "stockQuantity": 0, "categoryId": "string", "thumbnailUrl": "http://example.com", "hasOptions": true, "updatedAt": "string", "description": "string", "descriptionJson": "string", "originalPrice": 0, "images": [ "http://example.com" ], "attributes": [ { "attributeId": "string", "value": "string" } ], "optionGroups": [ { "groupId": "string", "name": "string", "sortOrder": 0, "values": [ { "valueId": "string", "name": "string", "sortOrder": 0 } ] } ], "variants": [ { "variantId": "string", "valueIds": [ "string" ], "name": "string", "additionalPrice": 0, "stockQuantity": 0, "sku": "string", "barcode": "string", "costPrice": 0, "weightGram": 0, "sellerCode": "string", "usable": true } ], "deliveryType": "FREE", "deliveryFee": 0, "conditionalFreeAmount": 0, "returnFee": 0, "exchangeFee": 0, "shippingAddressId": "string", "returnAddressId": "string", "createdAt": "string" }, "error": null}